import { ComponentProps } from 'react';
import { VariantProps } from 'class-variance-authority';

declare const inputStyles: (props?: ({
    inputSize?: "sm" | "md" | null | undefined;
    variant?: "default" | "error" | "prefilled" | null | undefined;
} & import('class-variance-authority/types').ClassProp) | undefined) => string;
type InputProps = ComponentProps<"input"> & VariantProps<typeof inputStyles>;
export declare const Input: import('react').ForwardRefExoticComponent<Omit<InputProps, "ref"> & import('react').RefAttributes<HTMLInputElement>>;
export {};
